LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 11-16-2002, 11:28 AM   #1
Cyclops
Member
 
Registered: Jul 2002
Location: Earth
Distribution: Slack 9.1
Posts: 70

Rep: Reputation: 15
Lightbulb KDE 3.0.5 for Slackware 8.1


Hey guys, the KDE folks have posted KDE 3.0.5 for Slackware 8.1 on their FTP servers, and I was wondering if any of you have tried installing it yet, and if so, did you run into any problems?

Thanks in advance for your replies...
 
Old 11-17-2002, 04:56 AM   #2
BittaBrotha
Member
 
Registered: Jan 2002
Location: Third Stone from the Sun
Distribution: Debian Sid, SourceMage 0.9.5, & To be Continued on a TP
Posts: 800

Rep: Reputation: 31
I wonder would it work with Slack 8.0 also?
 
Old 11-18-2002, 05:17 PM   #3
Cyclops
Member
 
Registered: Jul 2002
Location: Earth
Distribution: Slack 9.1
Posts: 70

Original Poster
Rep: Reputation: 15
Smile

Hi, BB

Looks like nobody has tried it, so guess I'm gonna pass...
 
Old 11-19-2002, 09:49 AM   #4
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
Just wait for 3.1.0, should be out within 2 weeks. I've been using it since the beta and it's great....mmmm...tabbed browsing in konq.....
 
Old 11-21-2002, 10:40 AM   #5
thequestion
LQ Newbie
 
Registered: Nov 2002
Location: Jersey
Distribution: Slackware,Mandrake,SuSe
Posts: 3

Rep: Reputation: 0
When KDE 3.1 comes out and I want to upgrade( I run 8.1 with 3.0.1, I am new to slackware), do I have to uninstall the kde 3.0.1 packages before I install 3.1? Is that the safest thing to do, uninstalling the old first that is..?
 
Old 11-22-2002, 07:23 AM   #6
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
There will be slackware packages, so you should be able to do "upgradepkg" to install them,. you will need to upgrade to qt-3.1 as well.
 
Old 11-22-2002, 08:59 AM   #7
jtshaw
Senior Member
 
Registered: Nov 2000
Location: Seattle, WA USA
Distribution: Ubuntu @ Home, RHEL @ Work
Posts: 3,892
Blog Entries: 1

Rep: Reputation: 66
Be careful about upgrading to KDE 3.1 if you are running Slackware 8.1. The new packages in slackware-current are all using glibc2.3.1 and were compiled with GCC 3.2, both of which don't exsist in Slackware 8.1... It might be work waiting and doing a complete new install when Slackware 9 shows up.
 
Old 11-22-2002, 10:13 AM   #8
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
KDE usually provide slackware 8.1 packages in contrib, they have them for 3.0.x and there should be 3.1.x versions as well.
 
Old 11-27-2002, 04:34 PM   #9
KenHan
LQ Newbie
 
Registered: Nov 2002
Location: Sweden
Distribution: SlackWare 12.2
Posts: 19

Rep: Reputation: 0
I installed KDE 3.05 in slackware 8.1 and it works beutifully
no hazzle whatsoever..

//KenHan
 
Old 11-27-2002, 07:24 PM   #10
Cyclops
Member
 
Registered: Jul 2002
Location: Earth
Distribution: Slack 9.1
Posts: 70

Original Poster
Rep: Reputation: 15
Question

Hey Ken, thanks for the tip. Did you install the files located at the link posted at the top of this thread, or did you install files from another location?
 
Old 11-28-2002, 01:41 AM   #11
KenHan
LQ Newbie
 
Registered: Nov 2002
Location: Sweden
Distribution: SlackWare 12.2
Posts: 19

Rep: Reputation: 0
Talking

Yes I dl the files from the link above
don't forget the language file(s) in kde-i18n

and then put them in the same dir including the language file(s)
of choice and just run pkgtool .. (you probably already knew that but just to make sure)



have fun

//KenHan
 
Old 12-01-2002, 06:17 AM   #12
joel
LQ Newbie
 
Registered: Jul 2002
Posts: 11

Rep: Reputation: 0
OK I put the files for 3.05 in a directory ran pkgtool it all seemed to go OK, installing all the required files, but when I run 'startx' I am still getting the old KDE 3.0

How do I run 3.05 obviously it didn't overwrite the old KDE and I have both on my system somewhere?
 
Old 12-01-2002, 08:15 AM   #13
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
Run pkgtool and uninstall all the old 3.0 packages then reinstall all the 3.0.5 packages, you should always do it this way.
KDE-3.1 will be out within a week and there will be slackware 8.1 packages available, you will need to upgrade QT to v3.1 as well if you want to install kde-3.1.
 
Old 12-02-2002, 07:04 PM   #14
joel1
Member
 
Registered: Jun 2002
Posts: 31

Rep: Reputation: 15
Thanks Bern 3.0.5 working great now, and it fixed the few annoying bugs I was finding in 3.0
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
KDE 3.3 and Slackware 10. DeadPenguin Linux - Newbie 2 12-21-2004 12:06 PM
dpi font | gdm | kde DE | xinitrc.kde | Slackware 10 acummings Slackware 2 07-28-2004 11:28 PM
KDE and slackware mooky Slackware 5 03-23-2004 12:26 AM
KDE in slackware mipia Linux - Software 2 06-16-2003 07:45 AM
KDE in slackware 9 Cactrot Linux - Newbie 1 06-11-2003 07:25 PM


All times are GMT -5. The time now is 03:50 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration